{---------------------------------------------------------------}
{
{    PRANCHA FCIL - Editor e Apresentador de
{                    Pranchas para Comunicao Alternativa
{
{    Autores: Jos Antonio Borges     (NCE/UFRJ)
{             Miryam Bonadiu Pelosi    (LabAssistiva/UFRJ)
{             Julio Tadeu da Silveira  (NCE/UFRJ)
{
{    Verso 1.0 em abril/2015
{    Verso 1.1 em agosto/2015
{    Verso 1.2 em outubro/2015
{
{    Este projeto foi realizado no AssistUFRJ - Ncleo de Referncia
{    em Tecnologia Assistiva, com recursos do CNPq e da UFRJ
{
{    Universidade Federal do Rio de Janeiro
{    Este projeto segue a licena Creative Commons descrita em
{    https://creativecommons.org/licenses/by/3.0/br/
{
{----------------------------------------------------------------}

program easyboard;

uses
  Consts,
  Forms,
  prVars in 'prVars.pas',
  prSelInic in 'prSelInic.pas' {formSelInic},
  prSobre in 'prSobre.pas' {AboutBox},
  prSint in 'prSint.pas',
  prArq in 'prArq.pas',
  prProg in 'prProg.pas' {FormProg},
  prConfigPrancha in 'prConfigPrancha.pas' {formConfigPrancha},
  prConfigItem in 'prConfigItem.pas' {formConfigItem},
  prConfigExec in 'prConfigExec.pas' {FormConfigExec},
  prSelFigura in 'prSelFigura.pas' {formSelFigura},
  prGraficos in 'prGraficos.pas',
  prVisualiza in 'prVisualiza.pas' {formVisualiza},
  prGravador in 'prGravador.pas' {FormGravador},
  prSelExecuta in 'prSelExecuta.pas' {FormSelExecuta},
  prSelImprime in 'prSelImprime.pas' {FormSelImprime},
  prImprime in 'prImprime.pas' {FormImprime},
  prDicasExec in 'prDicasExec.pas' {formDicasExec},
  prExecuta in 'prExecuta.pas' {FormExecuta},
  prAutoria in 'prAutoria.pas' {FormAutoria};

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'Prancha Fcil';
  Application.CreateForm(TformSelInic, formSelInic);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TFormProg, FormProg);
  Application.CreateForm(TformConfigPrancha, formConfigPrancha);
  Application.CreateForm(TformConfigItem, formConfigItem);
  Application.CreateForm(TFormConfigExec, FormConfigExec);
  Application.CreateForm(TformSelFigura, formSelFigura);
  Application.CreateForm(TformVisualiza, formVisualiza);
  Application.CreateForm(TFormGravador, FormGravador);
  Application.CreateForm(TFormSelExecuta, FormSelExecuta);
  Application.CreateForm(TFormSelImprime, FormSelImprime);
  Application.CreateForm(TFormImprime, FormImprime);
  Application.CreateForm(TformDicasExec, formDicasExec);
  Application.CreateForm(TFormExecuta, FormExecuta);
  Application.CreateForm(TFormAutoria, FormAutoria);
  Application.Run;
end.
