{---------------------------------------------------------------}
{
{       Easy Board - Editor and Presenter of
{                    Boards for Alternative Communication
{
{    Module of authoring annotation
{
{    Autores: Jos Antonio Borges     (NCE/UFRJ)
{             Miryam Bonadiu Pelosi    (LabAssistiva/UFRJ)
{             Julio Tadeu da Silveira  (NCE/UFRJ)
{
{    Verso 1.1 em abril/2015
{
{----------------------------------------------------------------}

unit prAutoria;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFormAutoria = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    e_autor: TEdit;
    e_data: TEdit;
    e_info: TEdit;
    b_ok: TButton;
    b_data: TButton;
    procedure b_okClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure b_dataClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormAutoria: TFormAutoria;

implementation
uses prvars;

{$R *.dfm}

procedure TFormAutoria.b_okClick(Sender: TObject);
begin
    projeto.autor := e_autor.Text;
    projeto.data  := e_data.Text;
    projeto.info  := e_info.Text;
end;

procedure TFormAutoria.FormActivate(Sender: TObject);
begin
    e_autor.Text := projeto.autor;
    e_data.Text  := projeto.data;
    e_info.Text  := projeto.info;
end;

procedure TFormAutoria.b_dataClick(Sender: TObject);
begin
    e_data.Text := dateTimeToStr(now);
end;

end.
