{---------------------------------------------------------------}
{
{    PRANCHA FCIL - Editor e Apresentador de
{                    Pranchas para Comunicao Alternativa
{
{    Mdulo de seleo da prancha inicial a executar
{
{    Autores: Jos Antonio Borges     (NCE/UFRJ)
{             Miryam Bonadiu Pelosi    (LabAssistiva/UFRJ)
{             Julio Tadeu da Silveira  (NCE/UFRJ)
{
{    Verso 1.1 em abril/2015
{
{----------------------------------------------------------------}

unit prSelExecuta;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFormSelExecuta = class(TForm)
    Label1: TLabel;
    combo_pranchaInicial: TComboBox;
    b_ok: TButton;
    b_cancelar: TButton;
    procedure FormActivate(Sender: TObject);
    procedure b_okClick(Sender: TObject);
    procedure b_cancelarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormSelExecuta: TFormSelExecuta;

implementation

{$R *.dfm}
uses prVars;

procedure TFormSelExecuta.FormActivate(Sender: TObject);
var p: integer;
begin
    combo_pranchaInicial.Items.clear;
    with projeto do
        begin
            for p := 0 to projeto.nPranchas-1 do
                combo_pranchaInicial.Items.Add(pranchas[p].nome);
        end;

    if projeto.nPranchas = 0 then
        combo_pranchaInicial.Text := ''
    else
        combo_pranchaInicial.Text := projeto.pranchas[0].nome;
end;

procedure TFormSelExecuta.b_okClick(Sender: TObject);
begin
    close;
end;

procedure TFormSelExecuta.b_cancelarClick(Sender: TObject);
begin
    combo_pranchaInicial.Text := '';
    close;
end;

end.

