{---------------------------------------------------------------}
{
{    PRANCHA FCIL - Editor e Apresentador de
{                    Pranchas para Comunicao Alternativa
{
{    Mdulo de seleo de prancha para impresso
{
{    Autores: Jos Antonio Borges     (NCE/UFRJ)
{             Miryam Bonadiu Pelosi    (LabAssistiva/UFRJ)
{             Julio Tadeu da Silveira  (NCE/UFRJ)
{
{    Verso 1.1 em abril/2015
{
{----------------------------------------------------------------}

unit prSelImprime;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFormSelImprime = class(TForm)
    lb_pranchas: TListBox;
    b_imprimir: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    b_imprimirTudo: TButton;
    Label6: TLabel;
    PrintDialog1: TPrintDialog;
    procedure b_imprimirTudoClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure b_imprimirClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormSelImprime: TFormSelImprime;

implementation

{$R *.dfm}
uses prVars, prImprime;

procedure TFormSelImprime.b_imprimirClick(Sender: TObject);
begin
    if printDialog1.execute then
        FormImprime.ShowModal;
end;

procedure TFormSelImprime.b_imprimirTudoClick(Sender: TObject);
begin
    lb_pranchas.SelectAll;
    b_imprimirClick(Sender);
end;

procedure TFormSelImprime.FormActivate(Sender: TObject);
var p: integer;
begin
    lb_pranchas.Items.Clear;
    with projeto do
        begin
            for p := 0 to projeto.nPranchas-1 do
                lb_pranchas.Items.Add(pranchas[p].nome);
        end;
end;

end.

