unit prTobii;

interface

uses
  Windows, Messages, SysUtils, Classes, shellApi, dialogs, dvinet, dvmacro;

function ativaTobii (handle: integer): boolean;

var
    threadTobiiAtiva: boolean;

implementation

type
    TThreadTobii = class (TThread)
        procedure execute;  override;
    end;

var
    m: integer;
    x, y, xu, yu: integer;

function ativaTobii (handle: integer): boolean;
var n: integer;
    erro: integer;
    jan: HWnd;
    pnomeDir: array[0..255] of char;
    tobiiExec: string;
begin
    result := false;
    if not abreWinSock then
        begin
            showMessage ('TCP-IP local no est funcionando.  Tobii no ser usado.');
 	        exit;
        end;

    GetModuleFileName (0, pnomeDir, 255);
    tobiiExec := ExtractFilePath(strPas (pnomeDir)) + '\TobiiNCE.exe';

    erro := ShellExecute(handle, 'open', pchar(tobiiExec), NIL, NIL, SW_SHOWNORMAL);
    if erro < 32 then
    	begin
            showMessage ('TobiiNCE no pode ser ativado.  Tobii no ser usado.');
 	        exit;
       	end;

    sleep (1000);

    TThreadTobii.Create (false);
    result := true;
end;

procedure TThreadTobii.execute;
var
    tobiiNCE: integer;
    pbuf: PbufRede;
    linha, c: string;
    p: integer;
begin
    freeOnTerminate := true;

    tobiiNCE := abreConexao('localhost', 3491);
    if tobiiNCE < 0 then
    	begin
            showMessage ('TobiiNCE no pode ser ativado.  Tobii no ser usado.');
            threadTobiiAtiva := false;
 	        exit;
       	end;

    threadTobiiAtiva := true;

    m := 20;
    x := 0;
    y := 0;
    xu := x;
    yu := y;

    writelnRede (tobiiNCE, 'E+');
    writelnRede (tobiiNCE, 'G+');
    writelnRede (tobiiNCE, 'H+');

    pbuf := inicBufRede(tobiiNCE);
    while threadTobiiAtiva do
        begin
            if not readlnBufRede(pbuf, linha, 60000) then break;
            c := copy (linha, 1, 2);
            if c = '' then
                beep
            else
            if c = 'UN' then
                begin
                    beep;
                    beep;
                end
            else
            if c = 'GN' then
                begin
                    beep;
                    mouseClick (x, y);
                end
            else
            if c = 'GP' then
                begin
                    delete (linha, 1, 2);

                    linha := trim (linha);
                    p := pos(' ', linha);
                    x := strToInt (copy (linha, 1, p-1));
                    y := strToInt (copy (linha, p+1, 999));

                    x := xu +(x-xu) div m;
                    y := yu +(y-yu) div m;
                    mouseMove (x, y);

                    xu := x;
                    yu := y;
                end;
        end;

    threadTobiiAtiva := false;
    fechaConexao (tobiiNCE);
end;

end.
